package ru.yandex.wmconsole.viewer.originals;

/**
 * @author aherman
 */
public class OriginalTextLimits {
    private final int minTextLength;
    private final int maxTextLength;

    private final int currentTextCount;
    private final int maxTextsCount;

    public OriginalTextLimits(int minTextLength, int maxTextLength, int currentTextCount, int maxTextsCount) {
        this.minTextLength = minTextLength;
        this.maxTextLength = maxTextLength;
        this.maxTextsCount = maxTextsCount;
        this.currentTextCount = currentTextCount;
    }

    public int getMinTextLength() {
        return minTextLength;
    }

    public int getMaxTextLength() {
        return maxTextLength;
    }

    public int getCurrentTextCount() {
        return currentTextCount;
    }

    public int getMaxTextsCount() {
        return maxTextsCount;
    }
}
